WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

HG3-Include

Plugin to include any code (html, php, javascript,...) directly into the WordPress editor.

English:

  1. Install HG3-Include by using the usual WordPress procedures, or by uploading the files to your "wp-content/plugins" directory.
  2. Activate the plugin through the 'Plugins' menu in WordPress
  3. No interface, just use [hg3_include ('myfile.php', 'mypath')] anywhere in a page or post editor. Also works in a Text Widget.

You can precise the path of the file to include using real path, relative path or using a constant. A query (myfile?a=1) and a variable can also be sent to the called file. You can choose simple include ou include_once.

See tutorial at http://www.hg3.fr/inclure-php-dans-articles-et-pages-wordpress (french site, translators welcome).

Warning: WordPress gurus have decided that the name of a plugin could not contain an underscore character. So, the name of the plugin is 'HG3-Include' but, to be able to select the entire word by double-clicking it, use 'hg3_include' as syntax.

Français :

  1. Installez HG3-Include en utilisant les procédures habituelles de WordPress, ou en téléchargeant les fichiers dans "wp-content/plugins".
  2. Activez le plug-in dans le menu 'Extensions’ de WordPress.
  3. Pas d'interface, utilisez juste [hg3_include ('mon_fichier.php', 'mon_chemin')] n'importe où dans l'édition d'une page ou d'un article. Fonctionne aussi dans un widget texte.

Tutoriel ici : http://www.hg3.fr/inclure-php-dans-articles-et-pages-wordpress.

Attention: les gourous de WordPress ont décidé que le nom d'un plug-in ne pouvait pas contenir un caractère de soulignement. Ainsi, le nom du plug-in est "HG3-Include", mais, pour pouvoir sélectionner le mot entier en double-cliquant dessus, utilisez 'hg3_include' comme syntaxe.

Requires: 2.0.2 or higher
Compatible up to: 3.1.4
Last Updated: 2011-11-21
Downloads: 845

Ratings

5 stars
5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1